
#import <appkit/appkit.h>
#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>

@interface Department:Object  
{
    id	DepartmentName;
    id	DeptId;
    id	LocationId;
	id  FacilityLocation;
    id	toEmployee;
	
	id  averageSalary;   
				 /* Average salary earned by employees in the department.  
			 	  * This attribute is not defined in the Department 		
				  * table.
				  */
    
	
	int		avgSalaries;
	
}

- init;
- (void) dealloc;
- free;

/* Useful debugging/tracing methods */
 
- (BOOL)respondsTo:(SEL)sel;

/* Methods to read/write data from database to EO */

- (NSNumber *)averageSalary;
- (NSArray *)toEmployee;

- (void) setAverageSalary:(NSNumber *)aSalary;
- (void) setDeptId:(NSNumber *)newId;
- (void) setDepartmentName:(NSString *)newName;
- (void) setLocationId:(NSNumber *)newLocation;
- (void) setToEmployee:(NSArray *)aRelation;
@end