#import <appkit/appkit.h>
#import <eointerface/eointerface.h>
#import <eoaccess/eoaccess.h>


@interface MainController:Object
{
	id masterController;
	 	
	id formMatrix;
	id textField;
	id sortMatrix;
	
	id	rootEntity;
	
	id insertButton;
	id masterTableview;
	id optionsPanel;
	id sqlPanel;
	id text;
	
	EOAdaptorChannel	*adaptorChannel;
	EODatabaseChannel	*dbChannel;
	EODatabaseDataSource *dbDataSource;
	
}

- init;
- appDidInit:sender;
- setDelegates;
- setUpFetch:sender;
- fetch:sender;
- insert:sender;
- newRecord:sender;
- (BOOL) validateRecord;
@end

@interface MainController (EOAdaptorDelegation)
- (void)adaptorChannel:channel
    didEvaluateExpression:(NSString *)expression;	
@end


@interface MainController (EOControllerDelegation)
- (NSDictionary *)controller:(EOController *)controller willSave: (NSDictionary *)edits object:object; 
- (BOOL)controller:controller willInsertObject:object inDataSource:dataSource;
- (BOOL) controllerWillDiscardEdits:(EOController *)controller;
- (EODataSourceFailureResponse)controller:(EOController *)controller
    failedToInsertObject:object
    inDataSource:dataSource;
- (void)controller:(EOController *)controller didInsertObject:object
  	inDataSource:dataSource;
- (void)controller:(EOController *)controller
  	didUpdateObject:object inDataSource:dataSource;
@end

@interface Text(showSQL)
- appendToText:(const char *)newText;
@end